### Method

# AppStream Validator validate_tree

#### Declaration [src]

    gboolean
    as_validator_validate_tree (
      AsValidator* validator,
      const gchar* root_dir
    )

#### Description [src]

Validate a full directory tree for issues in AppStream metadata.

#### Parameters

`root_dir`

  Type: `const gchar*`

  The root directory of the filesystem tree that should be validated.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `gboolean`

`TRUE` if file validated successfully.